---
__glxclans_role_vars_precedence:
  - "{{ __glxclans_host_os_mark }}_{{ ansible_architecture | lower }}.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_architecture | lower }}.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version }}.yml"
  - "{{ ansible_distribution | lower }}.yml"

__glxclans_role_tasks_precedence:
  - "{{ __glxclans_host_os_mark }}_{{ ansible_architecture | lower }}/main.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_architecture | lower }}/main.yml"
  - "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version }}/main.yml"
  - "{{ ansible_distribution | lower }}/main.yml"

__glxclans_host_is_supported_os: >-
  {{
    __glxclans_host_os_mark in __glxclans_host_supported_os_marks
  }}

__glxclans_host_os_mark: "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version }}"
__glxclans_host_supported_os_marks:
  - debian_12
  - debian_11
  - rocky_9
  - oraclelinux_9
__glxclans_host_service_user_default_private_key_path: "{{ glxclans_host_service_user_default_private_key_file | realpath }}"
__glxclans_host_service_user_default_public_key_path: "{{ __glxclans_host_service_user_default_private_key_path }}.pub"
__glxclans_host_openssh_key_type: "ed25519"

__glxclans_host_service_user_null_file: "/dev/null"
__glxclans_host_service_user_password: >-
  {{
    lookup('password', __glxclans_host_service_user_null_file + ' length=21 chars=ascii_letters,digits')
  }}
__glxclans_host_local_service_user_sha512_salt: >-
  {{
    lookup('password', __glxclans_host_service_user_null_file + ' length=16 chars=ascii_letters,digits')
  }}
#
# System packages
# ===============
#
# Debian specific list of packages to install. Needs to have a distro-specific variables because it is used before
# fact gathering.
#
__glxclans_host_minimal_packages:
  apt:
    - apt-transport-https
    - aptitude
    - build-essential
    - git
    - iproute2
    - libffi-dev
    - libperl-dev
    - libssl-dev
    - openssh-server
    - python-apt-dev
    - python3
    - python3-apt
    - python3-distutils-extra
    - python3-ldap
    - python3-pip
    - python3-setuptools
    - python3-venv
    - python3-wheel
    - rustc
    - sudo
  dnf:
    - epel-release
    - gcc
    - git
    - glibc
    - glibc-common
    - glibc-locale-source
    - iproute
    - langpacks-en
    - langpacks-fr
    - libffi-devel
    - openssh-server
    - openssl-devel
    - perl-devel
    - python3
    - python3-devel
    - python3-pip-wheel
    - python3-pip
    - python3-setuptools
    - rust
    - sudo
